﻿Type=StaticCode
Version=3.6
ModulesStructureVersion=1
B4i=true
@EndOfDesignText@
'Code module

Sub Process_Globals
	Private pg As Page	
	Private Picker1 As Picker
	Private clrs As Map = CreateMap("Black": Colors.Black, "Blue": Colors.Blue, _
			"Cyan": Colors.Cyan, "Gray": Colors.Gray, "Green": Colors.Green, "Red": Colors.Red)
	Private btnChoose As Button
End Sub

Public Sub ShowModule
	If pg.IsInitialized = False Then
		pg.Initialize("pg")
		pg.RootPanel.LoadLayout("ColorsLayout")
		Dim items As List
		items.Initialize
		For Each clr As String In clrs.Keys
			Dim s As AttributedString
			s.Initialize(clr, Font.DEFAULT, clrs.Get(clr))
			items.Add(s)
		Next
		Picker1.SetItems(0, items)
	End If
	Main.NavControl.ShowPage(pg)
'	Main.NavControl.ToolBarVisible = False
	btnChoose.Color = GetSelectedColor
End Sub

Private Sub btnChoose_Click
	Page1Module.ReturnFromColors(GetSelectedColor)
End Sub

private Sub Picker1_ItemSelected (Column As Int, Row As Int)
	btnChoose.Color = GetSelectedColor
End Sub

Private Sub GetSelectedColor As Int
	Dim s As AttributedString = Picker1.GetSelectedItem(0)
	Return clrs.Get(s.ToString)
End Sub

Sub pg_Appear
	Main.NavControl.ToolBarVisible = False
End Sub

Sub pg_Disappear
'	Main.NavControl.ToolBarVisible = True
End Sub
